using Atomx.Common.Entities;
using Atomx.Data;

namespace Atomx.WebAPI.Grains
{
    public interface IUserGrain : IGrainWithIntegerKey
    {
        Task<User> GetUserByName(string name);
    }

    public class UserGrain : Grain, IUserGrain
    {
        private readonly ILogger<UserGrain> _logger;
        private readonly DataContext _dbContext;

        public UserGrain(ILogger<UserGrain> logger, DataContext dbContext)
        {
            _logger = logger;
            _dbContext = dbContext;
        }

        public Task<User> GetUserByName(string name)
        {
            throw new NotImplementedException();
        }
    }
}
